Skip to main content
Resource Center/Network Resource/Route Resource Operations/vRouter Route Table Operations

CreateVRouterRouteTable

CreateVRouterRouteTable

POST/zstack/v1/vrouter-route-tables

Operation ID

CreateVRouterRouteTable

Since

2.1

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Body Fields

  • params
    ObjectRequired

    Request body parameter object.

    • name
      StringRequired

      The resource name.

    • description
      String

      Optional. The detailed description of the resource.

    • resourceUuid
      String

      Optional. The resource UUID.

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventory
    VRouterRouteTableInventoryRequired

    See inventory.

    • uuid
      StringRequired

      The resource UUID.

    • name
      StringRequired

      The resource name.

    • description
      StringRequired

      The detailed description of the resource.

    • createDate
      TimestampRequired

      The creation date.

    • lastOpDate
      TimestampRequired

      The last operation date.

    • attachedRouterRefs
      ListRequired

      See attachedRouterRefs.

      • virtualRouterVmUuid
        StringRequired

        The virtual router VM instance UUID.

      • routeTableUuid
        StringRequired

        The route table UUID.

    • routeEntries
      ListRequired

      See routeEntries.

      • uuid
        StringRequired

        The resource UUID.

      • description
        StringRequired

        The detailed description of the resource.

      • type
        StringRequired

        The type. You can add two types of routes: static route and black hole route. The system will automatically determine the type by judging whether to enter the next hop.

      • routeTableUuid
        StringRequired

        The vRouter route table UUID.

      • destination
        StringRequired

        The destination network address.

      • target
        StringRequired

        The next hop address. The IP address that can be accessed directly by vRouter VM instances. If the IP address cannot be accessed directly, the route recursion will be triggered.

      • distance
        IntegerRequired

        The route priority. In the minimum match mode, if multiple route rules are available, the rule with the lowest integer has the highest priority to be matched.

      • createDate
        TimestampRequired

        The creation date.

      • lastOpDate
        TimestampRequired

        The last operation date.